Isaac 0.1
Integruoti
perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/perceptron/isaac-01?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/perceptron/isaac-01", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/lt/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "perceptron/isaac-01",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Iškvieskite Isaac 0.1 modelį (perceptron/isaac-01) per Doitong API. Dokumentacija agentams: https://doitong.com/lt/developers/models/perceptron/isaac-01.md
POST https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Jei atsakymo būsena yra "queued" arba "running", siųskite GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 užklausas, kol būsena taps "succeeded"; failai pateikiami outputs[].url. POST https://api.doitong.com/v1/quote/perceptron/isaac-01 su tuo pačiu turiniu grąžina tikslią kainą prieš paleidimą.
Ši užklausa: ≈0,001 $ 1 API kreditas Paleisti šiame puslapyje
Jūsų naujas API raktas. Jis rodomas tik dabar ir jau įrašytas kode bei toliau esančiame API rakto lauke. Saugokite jį paslaptyje: niekada nedėkite jo į kodą, kuris vykdomas naršyklėje.
Čia bus pirmasis jūsų rezultatas
Sukurkite užklausą toliau ir paleiskite ją naudodami savo API raktą. Išvestys nukopijuojamos į mūsų saugyklą ir saugomos neribotą laiką arba 7 dienos nemokamai.
Sukurti užklausą
Valdikliai sugeneruojami pagal modelio schemą. Keisdami juos atnaujinsite kodą ir kainą.
/run/perceptron/isaac-01?wait=20
kaina → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/perceptron/isaac-01?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/perceptron/isaac-01", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "perceptron/isaac-01",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Vykdyti šią užklausą
Jūsų raktas lieka šioje naršyklėje: jis siunčiamas tik į Doitong API ir išsaugomas (localStorage) tik pažymėjus Prisiminti. Gauti API raktą
Apie Isaac 0.1
Priima `image_url` ir `prompt` ir grąžina atsakymą `response_style` nustatytu formatu. Tekstas tinka antraštėms ir aprašams, o langelių, taškų ir daugiakampių stiliai papildomai pateikia lokalizacijos išvestį. Rezultate yra sugeneruota išvestis, dalinės išvesties vėliava, klaidos pranešimas (jei toks yra) ir naudojimo informacija.
Parametrai
Siųskite arba kanoninį, arba savąjį pavadinimą, bet ne abu. Kanoniniai pavadinimai
image_urlprivaloma
image
promptprivaloma
response_styleneprivalomas
Failų parametrams reikia viešo https:// URL, ne didesnio nei 10 MB data: URI arba įkelto failo file_url. Failai
Išvestis
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "perceptron/isaac-01",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1,
"usd": "0.001",
"charged": 1,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n - There are three vehicles visible: a green truck, an orange car, and a brown car.\n - The green truck is positioned in front of the garage entrance.\n - The orange car is parked to the left of the green truck.\n - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n - The orange car is parked parallel to the garage but is not in the path of the green truck.\n - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
"partial": false,
"error": "string",
"usage": {
"completion_tokens": 1,
"prompt_tokens": 1,
"total_tokens": 1
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Išvesties laukai
- output
- stringModelio sugeneruotas rezultatas.
- partial
- booleanNurodo, ar išvestis yra neužbaigta.
- error
- string | nullKlaidos pranešimas, jei ji įvyko.
- usage
- object {completion_tokens, prompt_tokens, total_tokens} | nullNaudojimo informacija.
Daugiau modelių: Regėjimas
AI agentams: šis puslapis Markdown formatu pateikiamas adresu https://doitong.com/lt/developers/models/perceptron/isaac-01.md. Visi modeliai ir vadovai: https://doitong.com/developers/llms.txt